curl --request GET \
--url 'https://api.copyleaks.com/v3/scans/usages/history?start=01-01-2020&end=31-01-2020' \
--header 'Authorization: Bearer YOUR_LOGIN_TOKEN'
from copyleaks.copyleaks import Copyleaks
auth_token = Copyleaks.login("[email protected]", "YOUR_API_KEY")
csv_history = Copyleaks.usages_history_csv(auth_token, "01-01-2020", "31-01-2020")
print(csv_history)
CSV file attached to the response.
Admin
Usage History
Get your usage history between two dates.
GET
/
v3
/
scans
/
usages
/
history
curl --request GET \
--url 'https://api.copyleaks.com/v3/scans/usages/history?start=01-01-2020&end=31-01-2020' \
--header 'Authorization: Bearer YOUR_LOGIN_TOKEN'
from copyleaks.copyleaks import Copyleaks
auth_token = Copyleaks.login("[email protected]", "YOUR_API_KEY")
csv_history = Copyleaks.usages_history_csv(auth_token, "01-01-2020", "31-01-2020")
print(csv_history)
CSV file attached to the response.
curl --request GET \
--url 'https://api.copyleaks.com/v3/scans/usages/history?start=01-01-2020&end=31-01-2020' \
--header 'Authorization: Bearer YOUR_LOGIN_TOKEN'
from copyleaks.copyleaks import Copyleaks
auth_token = Copyleaks.login("[email protected]", "YOUR_API_KEY")
csv_history = Copyleaks.usages_history_csv(auth_token, "01-01-2020", "31-01-2020")
print(csv_history)
CSV file attached to the response.
Authentication Required. You need to login with a user and API key in order to access this method. Add this HTTP header to your request:Authorization: Bearer <Your-Login-Token>
Request
Query Parameters
string
required
The start date to collect usage history from.Format:
dd-MM-yyyyExample: 01-01-2020string
required
The end date to collect usage history from.Format:
dd-MM-yyyyExample: 31-01-2020Headers
Authorization: Bearer YOUR_LOGIN_TOKEN
Responses
- 200
- 400
- 401
200 OK - The data was exported. Example: csv file will be attached to the response.
400 Bad Request - Bad request. Wrong input parameters were provided.
401 Unauthorized - Authorization has been denied for this request.

